Documentation

Person Lookup Endpoint

Cost2 credits / successful request

Look up a person with a name and company information.

GET
/api/v2/profile/resolve

Authorization

BearerAuth client
AuthorizationBearer <token>

In: header

Scope: client

Query Parameters

company_domain*string

Company name or domain

first_name*string

First name of the user

similarity_checks?string

Controls whether the API endpoint performs similarity comparisons between the input parameters and the results or simply returns the closest match. For instance, if you are searching for a person named "Jane Smith", and the closest result we have is "Tom Garcia", our similarity checks will discard the obviously incorrect result and return null instead of a false positive.
Include similarity checks to eliminate false positives. However, be aware that this might yield fewer results as false positives are discarded. Credits will still be deducted even if we return null.
You can choose to skip similarity checks, in which case no credits will be charged if we return null.
This parameter accepts the following values:

  • include (default) - Perform similarity checks and discard false positives. Credits will be deducted even if we return null .
  • skip - Bypass similarity checks. No credits will be deducted if no results are returned.
enrich_profile?string

Enrich the result with a cached profile of the lookup result.
The valid values are:

  • skip (default): do not enrich the results with cached profile data
  • enrich: enriches the result with cached profile data

Calling this API endpoint with this parameter would add 1 credit.
If you require fresh profile data, please chain this API call with the People Profile Endpoint with the use_cache=if-recent parameter.

location?string

The location of this user. Name of country, city or state.

title?string

Title that user is holding at his/her current job

last_name?string

Last name of the user

Response Body

application/json

curl -X GET "https://enrichlayer.com/api/v2/profile/resolve?company_domain=gatesfoundation.org&first_name=Bill&similarity_checks=include&enrich_profile=enrich&location=Seattle&title=Co-chair&last_name=Gates"
{
  "url": "https://www.linkedin.com/in/senatormarty",
  "profile": {
    "public_identifier": "johnrmarty",
    "profile_pic_url": "https://media.licdn.com/dms/image/C5603AQHaJSx0CBAUIA/profile-displayphoto-shrink_800_800/0/1558325759208?e=2147483647&v=beta&t=BluXpPg88xFnU2wMGLjuCUykSk_wKNdh8x3PI9wm6MI",
    "background_cover_image_url": "https://media.licdn.com/dms/image/C5616AQH9tkBTUhHfng/profile-displaybackgroundimage-shrink_200_800/0/1614530499015?e=2147483647&v=beta&t=VEoCyedtZulnAVYWT9BXfKHi5OFp8avElNjiz8kjSTU",
    "first_name": "John",
    "last_name": "Marty",
    "full_name": "John Marty",
    "follower_count": null,
    "occupation": "Co-Founder at Freedom Fund Real Estate",
    "headline": "Financial Freedom through Real Estate - LinkedIn Top Voice",
    "summary": "Most people go through life lost, disengaged, and unhappy at work and in their lives - I'm on a mission to solve that.\n\nI spent 10 years as the founder of Axxis Audio, an electronics company that grew to multi-million dollar sales, which I sold in 2012. At that time, I funneled my earnings into the creation of an Internet of Things company, but numerous factors lead to its demise after 2 hard fought years. \n\nAt 31, I was penny-less, had a baby on the way, and had zero job prospects (despite applying to 150 companies). My desperate situation led me to take a job at Best Buy for $12 an hour while reinventing myself through the completion of an MBA at the University of Colorado, and a 6-month software development boot camp. \n\nAfter graduation, I landed at American Express as a Senior Product Manager and then got poached by Amazon in 2017 (because of my LinkedIn profile). My journey has led to a deep sense of perspective, humility, and purpose that I draw on to help others find clarity, meaning, and happiness in their careers and lives. \n\nCheck out my website for details on my Mindset Reset Podcast, Public Speaking, Consulting, or my free 40 page LinkedIn guide\n\nhttp://www.johnraphaelmarty.com/\n\nFAQ's\n\nQ: Can you speak at my Company, University, event or podcast?\nA: I'd love to! I've shared my message on the future of employment, breaking into big tech, and my personal story of reinventing myself and discovering my sense of purpose (and how you can too!).\n\n☑️  YouTube Channel #1 (John Marty) : http://www.youtube.com/c/JohnMarty-uncommon\n☑️  YouTube Channel #2 (Tech Careers for non-engineers: https://www.youtube.com/channel/UC900gMMPLwRGGXSTW1gdZHA\n\nFUN FACTS:\n☑️ I am an Avid cyclist and runner, and I just started learning to skateboard a half-pipe.\n☑️ Into the Enneagram? - I'm a #3 (The Achiever)\n\nLETS CONNECT:\n☑️ Email: [email protected] (don't forget that \"R\"....The other guy gets my emails all the time)",
    "country": "US",
    "country_full_name": "United States of America",
    "city": "Seattle",
    "state": "Washington",
    "experiences": [
      {
        "starts_at": {
          "day": 1,
          "month": 8,
          "year": 2021
        },
        "ends_at": null,
        "company": "Freedom Fund Real Estate",
        "company_linkedin_profile_url": "https://www.linkedin.com/company/freedomfund",
        "company_facebook_profile_url": null,
        "title": "Co-Founder",
        "description": "Our mission is to provide everyday people seeking financial freedom long before the age of 65 with the ability to invest in high yield, short-term real estate investments that were only accessible in the past for a select few wealthy individuals. Each of our single family rehab projects require a minimum investment contribution of only $10K, we have simple terms, no multi-year hold periods, and no fees. With our unique model investors can log into our easy to use website, select the projects that they want to invest in, and get realtime updates on the status of their investments.\nWebsite: https://www.freedomfundinvestments.com/home",
        "location": null,
        "logo_url": "https://media.licdn.com/dms/image/C560BAQEYxazZM_hXgQ/company-logo_100_100/0/1634934418976?e=2147483647&v=beta&t=wI0YdMmxIctkzvnKxRfuAbT8h5eok_DlUqEph68J37s"
      },
      {
        "starts_at": {
          "day": 1,
          "month": 1,
          "year": 2021
        },
        "ends_at": null,
        "company": "Mindset Reset Podcast",
        "company_linkedin_profile_url": "https://www.linkedin.com/company/mindset-reset-podcast",
        "company_facebook_profile_url": null,
        "title": "Founder",
        "description": "We dive into the mindsets of the world’s foremost thought leaders and turn them into actionable insights so that others can discover greater happiness, success, and fulfillment.\nhttps://podcasts.apple.com/us/podcast/mindset-reset/id1553212607",
        "location": "Denver, Colorado, United States",
        "logo_url": "https://media.licdn.com/dms/image/C560BAQF9QJVQm3SOvA/company-logo_100_100/0/1614527476576?e=2147483647&v=beta&t=m3tx83nMN-E3XQFoJG0Wmch8U4qKnJ9i--5NSAfffC0"
      }
    ],
    "education": [
      {
        "starts_at": {
          "day": 1,
          "month": 1,
          "year": 2013
        },
        "ends_at": {
          "day": 31,
          "month": 12,
          "year": 2015
        },
        "field_of_study": "Finance + Economics",
        "degree_name": "Master of Business Administration (MBA)",
        "school": "University of Colorado Denver",
        "school_linkedin_profile_url": "https://www.linkedin.com/school/university-of-colorado-denver/",
        "school_facebook_profile_url": null,
        "description": null,
        "logo_url": "https://media.licdn.com/dms/image/C560BAQGVi9eAHgWxFw/company-logo_100_100/0/1673448029676?e=2147483647&v=beta&t=NG6ttckXvnS2DX3abTfVACRY2E9Q1EcryNaJLRbE9OE",
        "grade": null,
        "activities_and_societies": null
      },
      {
        "starts_at": {
          "day": 1,
          "month": 1,
          "year": 2015
        },
        "ends_at": {
          "day": 31,
          "month": 12,
          "year": 2015
        },
        "field_of_study": "School of Software Development",
        "degree_name": null,
        "school": "Galvanize Inc",
        "school_linkedin_profile_url": "https://www.linkedin.com/school/galvanize-it/",
        "school_facebook_profile_url": null,
        "description": "rails, ruby, rspec, capybara, bootstrap, css, html, api integration, Jquery, Javascript",
        "logo_url": "https://media.licdn.com/dms/image/C560BAQFKNxOZ4X0g8Q/company-logo_100_100/0/1670610916338?e=2147483647&v=beta&t=t7ImfhmsuIJ7HJGHEbPJ2suxdslKhzp9v-5h9_G4sWE",
        "grade": null,
        "activities_and_societies": null
      }
    ],
    "languages_and_proficiencies": [
      {
        "name": "English",
        "proficiency": "NATIVE_OR_BILINGUAL"
      },
      {
        "name": "Japanese",
        "proficiency": "ELEMENTARY"
      }
    ],
    "accomplishment_organisations": [],
    "accomplishment_publications": [],
    "accomplishment_honors_awards": [],
    "accomplishment_patents": [],
    "accomplishment_courses": [],
    "accomplishment_projects": [
      {
        "starts_at": {
          "day": 1,
          "month": 3,
          "year": 2015
        },
        "ends_at": null,
        "title": "gMessenger",
        "description": "gMessenger was built using Ruby on Rails, and the Bootstrap HTML, CSS, and JavaScript framework. It uses a Websocket-Rails integration to post a user's message content to the page in real time, with no page refresh required. gMessenger also includes custom authentication with three different permissions levels.",
        "url": "http://gmessenger.herokuapp.com/"
      },
      {
        "starts_at": {
          "day": 1,
          "month": 1,
          "year": 2015
        },
        "ends_at": null,
        "title": "Taskly",
        "description": "A task and project management responsive web app utilizing Ruby on Rails - CSS and HTML",
        "url": "https://hidden-coast-7204.herokuapp.com/"
      }
    ],
    "accomplishment_test_scores": [],
    "volunteer_work": [],
    "certifications": [
      {
        "starts_at": null,
        "ends_at": null,
        "name": "SAFe Agile Framework Practitioner - ( Scrum, XP, and Lean Practices in the SAFe Enterprise)",
        "license_number": null,
        "display_source": null,
        "authority": "Scaled Agile, Inc.",
        "url": null
      },
      {
        "starts_at": null,
        "ends_at": null,
        "name": "SCRUM Alliance Certified Product Owner",
        "license_number": null,
        "display_source": null,
        "authority": "Scrum Alliance",
        "url": null
      }
    ],
    "connections": 500,
    "people_also_viewed": [],
    "recommendations": [
      "Rebecca Canfield\n\n      \n          \n          \n\n\n\n              \n                \n        \n              \n  \n\n      \n          John Marty is a genius at his craft. He is skilled in the art of making people feel empowered to seek out roles that they are qualified for, ask for salaries that they deserve, and creates a kind of pay it forward lifestyle. John helps you to get to places that you only thought were possible for other people. Anyone that is fortunate enough to learn from John should consider themselves extremely lucky. I know I do. ",
      "Zoe Sanoff\n\n      \n          \n          \n\n\n\n              \n                \n        \n              \n  \n\n      \n          John is so focused on helping guide you through an interview process not just for Amazon but on interviewing in general.  I've generally done well at interviewing, my skills are top notch now.  John is so focused on on his clients and really goes above and beyond.  John is genuine, knowledgeable, well spoken and non-judgemental.  He is so encouraging, so positive and really easy to talk to.  Thank you John!"
    ],
    "activities": [
      {
        "title": "Yesterday I toured a $1.2M property in California that has a large 13K sq ft lot with two homes on it. After 5 minutes of being on-site I…",
        "link": "https://www.linkedin.com/posts/johnrmarty_financialfreedom-realestate-technology-activity-6940294635743301632-rsLo",
        "activity_status": "Shared by John Marty"
      }
    ],
    "similarly_named_profiles": [
      {
        "name": "John Martinez",
        "link": "https://www.linkedin.com/in/john-martinez-90384a229",
        "summary": "Owner of Fight or Flight Medical Consultants, LLC  , Owner Marty’s Hardwood Works",
        "location": "San Antonio, TX"
      },
      {
        "name": "John Marty",
        "link": "https://www.linkedin.com/in/senatormarty",
        "summary": null,
        "location": "St Paul, MN"
      }
    ],
    "articles": [],
    "groups": [],
    "meta": {
      "thin_profile": false,
      "last_updated": "2023-10-26T11:34:30Z"
    }
  },
  "last_updated": "2023-10-26T11:34:30Z"
}
Empty
Empty
Empty
Empty
Empty
Empty
Empty